Bug 1093866 - The "admin-only-policy" slave HC config option is not implemented correctly
Summary: The "admin-only-policy" slave HC config option is not implemented correctly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER5
: EAP 6.3.0
Assignee: Brian Stansberry
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-02 21:50 UTC by Brian Stansberry
Modified: 2014-08-06 14:40 UTC (History)
3 users (show)

(edit)
In previous releases of JBoss EAP 6, a slave Host Controller started in admin-only mode would not be able to connect to the master Domain Controller to obtain the domain wide configuration.

As a result, if a slave Host Controller is started with `--admin-only` and it's `host.xml` has the `admin-only-policy="fetch-from-master"` set, the slave cannot connect to the master to get the domain wide configuration. The slave will fail to start.

This prevents the `--admin-only` slave using RBAC unless a copy of the domain-wide configuration file is stored locally as `domain.cached-remote.xml` and the slave is started with `--cached-dc`.

In this release the slave connection logic has been corrected and the slave can connect to the master and get the domain wide configuration, allowing it to obtain the domain-wide RBAC configuration policy.
Clone Of:
(edit)
Last Closed: 2014-08-06 14:40:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3304 Major Resolved RemoteDomainConnectionService.fetchDomainWideConfiguration() isn't properly implemented 2016-02-11 03:46 UTC

Description Brian Stansberry 2014-05-02 21:50:18 UTC
Description of problem:

If a slave Host Controller is started with --admin-only and it's host.xml has the admin-only-policy="fetch-from-master" set, the slave cannot connect to the master to get the domain wide configuration.

This prevents the --admin-only slave using RBAC unless a copy of the domain-wide configuration file is stored locally as domain.cached-remote.xml and the slave is started with --cached-dc.

How reproducible:

Always.

Steps to Reproduce:
1. Add the admin-only-policy="fetch-from-master" attribute to the domain-controller/remote element in a slave Host Controller's host config xml file. 
2. Start the slave with the --admin-only option.

Actual results:

The slave fails to start.

Expected results:

The slave should start, including connecting to the master to pull down the domain wide configuration.

Comment 2 Petr Kremensky 2014-07-02 08:38:20 UTC
Verified on EAP 6.3.0.ER8


Note You need to log in before you can comment on or make changes to this bug.